Pro rddat ;Read the value of the vector under the cursor
          ;Display x,y and the pixel value under the cursor
;+
; NAME:
;  rddat
; PURPOSE:
;  Display the X and Y value of the cursor in a plot
; CATEGORY:
;  2-D plotting
; CALLING SEQUENCE:
;  rddat
; INPUTS:
;  None.
; OUTPUTS:
;  None.
; COMMON BLOCKS:
;  None.
; SIDE EFFECTS:
;  The X, Y and data values of plot under the cursor are constantly 
;  displayed.
;
;  Pressing left or center mouse button, makes a new line of output,
;     saving the old.
;  Pressing right mouse button, exits the procedure.
;
; RESTRICTIONS:
;  None.
; PROCEDURE:
;  Straightforward.
; MODIFICATION HISTORY:
;  DMS, Dec, 1987.
;  cloned from RDPIX by Marc W. Buie, March 1991.
;-

on_error,2              ;Return to caller if an error occurs
print,'Press left or center mouse button for new output line.'
print,'... right mouse button to exit.'
!err=0
cr = string("15b)  ;"
form="($,a,'x=',f10.4,2x,'y=',f10.4)"
while !err ne 4 do begin
   cursor,x,y,2,/data
   if (!err and 3) ne 0 then begin  ;New line?
      print,form=form,string("12b),x,y  ;"
      while (!err ne 0) do begin
         cursor,x1,y1,4,/data
      endwhile
   endif

   print,form=form, cr,x,y
endwhile
print,form="(/)"
end
